cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
78
Views
0
Helpful
5
Replies
khgrant
Cisco Employee

NSO NEDs for ESC 2.2.9.76 - are they available?

 

Hi Team,

 

 

I’m building out our NFV lab and wanted to orchestrate ESC with NSO. I have installed ESC 2.2.9.76 and NSO 4.2.1. The installed package versions:

 

 

gabszabo@ncs# show packages package package-version

 

PACKAGE

 

NAME VERSION

 

-------------------------

 

cisco-ios 4.4.2

 

esc 1.1

 

vm-manager 1.1

 

vm-manager-esc 1.1

 

 

When I connected NSO to ESC I have got error messages:

 

 

gabszabo@ncs(config)# devices device esc

 

gabszabo@ncs(config-device-esc)# netconf-notifications subscription vmstatus

 

Value for 'stream' (<string>): escEvent

 

Value for 'local-user' (<string>): admin

 

gabszabo@ncs(config-subscription-vmstatus)# commit

 

Commit complete.

 

gabszabo@ncs(config-subscription-vmstatus)# *** ALARM revision-error: YANG module 'esc_volume' has an unsupported revision 2016-03-18, Ncs supports 2014-06-23. YANG module 'esc_types' has an unsupported revision 2016-07-21, Ncs supports 2015-07-30. YANG module 'esc_policies' has an unsupported revision 2016-05-11, Ncs supports 2015-08-31. YANG module 'esc_opdata_tenant' has an unsupported revision 2015-11-18, Ncs supports 2014-08-06. YANG module 'esc_opdata_networks' has an unsupported revision 2016-02-04, Ncs supports 2014-09-06. YANG module 'esc_opdata_interface' has an unsupported revision 2016-04-27, Ncs supports 2015-07-02. YANG module 'esc_opdata' has an unsupported revision 2016-04-01, Ncs supports 2015-07-06. YANG module 'esc_network' has an unsupported revision 2016-03-16, Ncs supports 2015-08-05. YANG module 'esc_interface' has an unsupported revision 2015-10-23, Ncs supports 2015-07-20. YANG module 'esc_disk' has an unsupported revision 2016-07-14, Ncs supports 2015-08-18. YANG module 'esc_datamodel' has an unsupported revision 2016-04-13, Ncs supports 2015-07-14. YANG module 'esc_config_data' has an unsupported revision 2016-07-21, Ncs supports 2014-06-23. YANG module 'esc' has an unsupported revision 2016-08-04, Ncs supports 2015-07-23.

 

 

It seems that the used ESC NEDs are not for ESC 2.2.9...  Do we have updated NEDs for ESC 2.2.9 and where can I download from? I have found only version 1.1 on Devnet...

 

 

Regards,

 

Gabor

 

5 REPLIES 5
khgrant
Cisco Employee

 

Hi Gabor,

 

Did you build a netconf NED based on the YANG files in the 'YANGmodels-tailf' directory on ESC?

 

khgrant
Cisco Employee

 

Hi Brandon,

 

 

I haven' built any NED, I have tried to use the latest NEDs which is available on Devnet. I will check the instructions for building the NED.

 

 

Thanks and best regards,

 

Gabor

 

khgrant
Cisco Employee

 

Hi Brendon,

 

 

Thank you for the advice. Though ESC 2.2 has a slightly different folder structure I could find the Yang files, and created a „v2.2” esc NED. It seems working well.

 

 

I wonder if vmmanager and vmmanager-esc packages (stay on v1.1) are safe to work with this new NED or they would need to be updated as well…

 

I would appreciate a feedback from BU.

 

 

Thanks and best regards,

 

Gabor

 

khgrant
Cisco Employee

 

Hi Gabor,

 

 

We've tested ESC 2.2.8.138 with vm-manager  1.2, but since the Vm-manager has been deprecated we will not test it with a ESC 2.2.9 NED.

 

 

However, we will soon release a new version of nfvo-project together together with a NED for ESC 2.2.9.

 

 

BR,

 

Johan

 

khgrant
Cisco Employee

 

Hi Gabor,

 

 

Please note that in general we don’t build/maintain/release/sell NETCONF based NEDs. This is part of our “zero adapter tax” initiative.

 

 

There is instrumentation that comes with NSO (ncs-make-package) that can help build the NED within seconds when provided with the  YANG model. There is also the Pioneer package that Jan has worked on that can get the schema directly from the device and build the NETCONF NED.

 

 

If one runs into issues then they go directly to the source (BU or the 3rd party vendor).

 

 

Thanks,

Bilal.

 

Content for Community-Ad

This widget could not be displayed.